package com.ruoyi.info.service.service;

import com.ruoyi.common.core.domain.PageQuery;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.info.service.domain.ServiceCategorize;
import com.ruoyi.info.service.domain.bo.ServiceCategorizeBo;
import com.ruoyi.info.service.domain.vo.ServiceCategorizeVo;

import java.util.Collection;
import java.util.List;

/**
 * 服务分类Service接口
 *
 * @author ruoyi
 * @date 2025-09-20
 */
public interface IServiceCategorizeService {

    /**
     * 查询服务分类分页
     *
     * @param bo 服务分类
     * @return 服务分类集合
     */
    TableDataInfo<ServiceCategorizeVo> queryPageList(ServiceCategorizeBo bo, PageQuery pageQuery);

    /**
     * 查询服务分类列表
     *
     * @param bo 服务分类
     * @return 服务分类集合
     */
    List<ServiceCategorizeVo> queryList(ServiceCategorizeBo bo);

    /**
     * 查询服务分类
     *
     * @param id 服务分类主键
     * @return 服务分类
     */
    ServiceCategorizeVo queryById(Long id);

    /**
     * 详情服务分类
     *
     * @param id 服务分类主键
     * @return 服务分类
     */
    ServiceCategorize loadById(Long id, Boolean tw);

    /**
     * 新增服务分类
     *
     * @param bo 服务分类
     * @return 结果
     */
    Boolean insertByBo(ServiceCategorizeBo bo);

    /**
     * 修改服务分类
     *
     * @param bo 服务分类
     * @return 结果
     */
    Boolean updateByBo(ServiceCategorizeBo bo);

    /**
     * 校验并批量删除服务分类信息
     *
     * @param ids 需要删除的服务分类主键集合
     * @param isValid 是否校验,true-删除前校验,false-不校验
     * @return 结果
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    boolean setStatus(Long id);

    String queryNameById(Long id);
}
